<?xml version="1.0" encoding="UTF-8" ?>
<rss version="2.0" xmlns:dc="http://purl.org/dc/elements/1.1/"><channel><title>List Threaded Forum Reply Ancestors for a Reply REST Endpoint</title><link>https://community.telligent.com/community/13/w/api-documentation/75570/list-threaded-forum-reply-ancestors-for-a-reply-rest-endpoint</link><description>&lt;p&gt;&lt;span&gt;Developing on Verint Community? Use the API documentation as a reference for all supported interactions with Verint Community.&lt;/span&gt;&lt;/p&gt;</description><dc:language>en-US</dc:language><generator>14.0.0.586 14</generator><item><title>List Threaded Forum Reply Ancestors for a Reply REST Endpoint</title><link>https://community.telligent.com/community/13/w/api-documentation/75570/list-threaded-forum-reply-ancestors-for-a-reply-rest-endpoint</link><pubDate>Fri, 08 Mar 2024 17:49:06 GMT</pubDate><guid isPermaLink="false">d0612932-2554-4bdf-adee-c2cbb937f7e4</guid><dc:creator>Ben Tiedt</dc:creator><comments>https://community.telligent.com/community/13/w/api-documentation/75570/list-threaded-forum-reply-ancestors-for-a-reply-rest-endpoint#comments</comments><description>Current Revision posted to API Documentation by Ben Tiedt on 03/08/2024 17:49:06&lt;br /&gt;
&lt;hr class="generated-documentation-start" style="border-width:0;" /&gt;&lt;div class="documentation"&gt;&lt;div class="documentation-url"&gt;&lt;h2&gt;GET api.ashx/v2/forums/threads/replies/{replyid}/ancestors.{json|xml}&lt;/h2&gt;&lt;div class="documentation-section parameters"&gt;&lt;h3&gt;Request Parameters&lt;/h3&gt;&lt;div class="value"&gt;&lt;table cellspacing="0"&gt;&lt;thead&gt; &lt;tr&gt;  &lt;th&gt;Name&lt;/th&gt;  &lt;th&gt;Type&lt;/th&gt;  &lt;th&gt;Location&lt;/th&gt;  &lt;th&gt;Description&lt;/th&gt;  &lt;th&gt;Required&lt;/th&gt;  &lt;th&gt;Default&lt;/th&gt;  &lt;th&gt;Options&lt;/th&gt; &lt;/tr&gt;&lt;/thead&gt;&lt;tbody&gt; &lt;tr&gt;  &lt;td&gt;Depth&lt;/td&gt;  &lt;td&gt;int&lt;/td&gt;  &lt;td&gt;Query String&lt;/td&gt;   &lt;td&gt;Levels of ancestors to return from the root reply down.  Zero based with a max of 9.  If 0 is specified, only the root reply will be returned in an ApiList&amp;lt;ForumReply&amp;gt;.  If the reply is the root reply, ApiList&amp;lt;ForumReply&amp;gt; will have no records.&lt;/td&gt;  &lt;td&gt;Optional&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;PostTarget&lt;/td&gt;  &lt;td&gt;string&lt;/td&gt;  &lt;td&gt;Query String&lt;/td&gt;   &lt;td&gt;Render target. Options: Unknown, Web, Syndication, Offline, Other, Print, Nntp, Email, WebQuote, WebServices.&lt;/td&gt;  &lt;td&gt;Optional&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;ReplyId&lt;/td&gt;  &lt;td&gt;int&lt;/td&gt;  &lt;td&gt;Query String&lt;/td&gt;   &lt;td&gt;Thread Reply Id&lt;/td&gt;  &lt;td&gt;Required&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt;&lt;/tbody&gt;&lt;/table&gt;&lt;/div&gt;&lt;/div&gt;&lt;div class="documentation-section requests"&gt;&lt;h3&gt;Example Requests&lt;/h3&gt;&lt;h4&gt;Widget Javascript&lt;/h4&gt;&lt;pre class="brush: javascript"&gt;
jQuery.telligent.evolution.get({
	url: jQuery.telligent.evolution.site.getBaseUrl() + &amp;#39;api.ashx/v2/forums/threads/replies/{replyid}/ancestors.json&amp;#39;,
	data: { 
		&amp;#39;replyid&amp;#39;: &amp;#39;6&amp;#39;
	}
}).then(function(response) {
	// use response
});&lt;/pre&gt;&lt;/div&gt;&lt;/div&gt;&lt;/div&gt;&lt;hr class="generated-documentation-end" style="border-width:0;" /&gt;&lt;div style="clear:both;"&gt;&lt;/div&gt;
</description></item></channel></rss>